Get list of roles

The Get list of roles method returns the list of manager roles of the current reseller (see Managers' roles).

XML
GET {{base_url}}/api/v3/resellers/{{reseller_id}}/manager_roles

Authentication

This endpoint requires a JWT access token. Specify the token in the Authorization header using the Bearer authentication scheme:

Authorization: Bearer <JWT_ACCESS_TOKEN>

In Postman, select Bearer Token on the Authorization tab and enter the JWT access token.

Arguments

Name

Parameter Type

Data type

Required/ Optional

Description

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

The ID of the current reseller only (see Viewing and updating reseller general information)

page[size]

query

integer

Optional

Page navigation: number of elements per page. The default value is 50

page[number]

query

integer

Optional

Page navigation: page number

Response model

Name

Data type

Description

data

array of objects

Response data


id

string

The ID of a role


type

string

Data type


attributes

object

Information about a role



created_at

date

The date and time of a role creation



updated_at

date

The date and time when a role was updated



name

string

The role name



reseller_id

integer

The reseller ID

links

object

Page navigation links that use the defined page navigation parameters


self

string

Current page link


first

string

First page link


prev

string

Previous page link


next

string

Next page link


last

string

Last page link

Request example

XML
GET /api/v3/resellers/1/manager_roles
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
Authorization: Bearer <JWT_ACCESS_TOKEN>
Accept: application/vnd.api+json

Response example

JSON
{
    "data": [
        {
            "id": "1",
            "type": "manager_roles",
            "attributes": {
                "created_at": "2023-09-18T13:25:15.066+03:00",
                "updated_at": "2023-09-18T13:25:15.066+03:00",
                "name": "Full control",
                "reseller_id": 1
            }
        },
        {
            "id": "2",
            "type": "manager_roles",
            "attributes": {
                "created_at": "2023-09-18T13:25:38.378+03:00",
                "updated_at": "2023-09-18T13:25:38.378+03:00",
                "name": "Sales",
                "reseller_id": 1
            }
        }
    ],
    "links": {
        "self": "https://test.activeplatform.com/api/v3/resellers/1/manager_roles?page%5Bnumber%5D=1&page%5Bsize%5D=50",
        "first": "https://test.activeplatform.com/api/v3/resellers/1/manager_roles?page%5Bnumber%5D=1&page%5Bsize%5D=50",
        "prev": null,
        "next": null,
        "last": "https://test.activeplatform.com/api/v3/resellers/1/manager_roles?page%5Bnumber%5D=1&page%5Bsize%5D=50"
    }
}